/*
* $LastChangedBy$
* $LastChangedDate$
* $LastChangedRevision$
* $HeadURL$
*
* Copyright 2014 BlueConic Inc./BlueConic B.V. All rights reserved.
*/

import Foundation

@objc public class Event: NSObject {
	//	private var myEventName: String
	@objc public var name: String {
        return NSStringFromClass(type(of: self))
	}
	private var _location: String?

	@objc public var location: String? {
		get {
			return self._location
		}
		set(newLocation) {
			self._location = newLocation
		}
	}

	private var _handledBy: [String] = []
    @objc public var handledBy: [String] {
        return self._handledBy
    }

	@objc public func addHandledBy(_ handledBy: String) {
		self._handledBy.append(handledBy)
	}
    
    @objc public func message() -> String {
        return name
    }
}
